Skip to main content

Create ABHA - Aadhaar face authentication

POST/abha/api/v3/enrollment/enrol/byAadhaar

First call Face auth - generate transaction ID (init), then poll Face auth - capture PID / track status until the status is COMPLETE. Then send the same txnId here.

Endpoint: POST /abha/api/v3/enrollment/enrol/byAadhaar

Flow: Create ABHA - Face Authentication - step 3 of 9

  • Previous: Face auth - capture PID / track status
  • Next: After ABHA creation - send OTP to verify mobile (optional)

Headers (plus Authorization: Bearer <gateway token>):

Header Required Description
TIMESTAMP yes Current UTC timestamp in ISO-8601 format.
REQUEST-ID yes Unique UUID for every request.
Benefit-Name no Applicable for user who is enrolling via Benefit Program.

Request body for this use case:

Field Value / Type Required Description
authData object yes Authentication payload for this use case.
authData.authMethods ["face_auth"] yes Authentication method used in this step.
authData.face object yes Face authentication block.
authData.face.txnId string yes Transaction ID returned by the previous step of this flow.
authData.face.aadhaar string yes Aadhaar number, RSA-encrypted.
authData.face.mobile string no Mobile number to be linked with the ABHA (plain, 10 digits).
consent object yes Consent captured from the user for ABHA enrolment.
consent.code string yes Consent code. Use ABHA-enrollment.
consent.version string yes Consent version. Use 1.4.

Responses

200

Success: Create ABHA via Face - Positive Flow

messagestring
tokensobject
tokens.tokenstring
tokens.expiresIninteger
tokens.refreshTokenstring
tokens.refreshExpiresIninteger
ABHAProfileobject
ABHAProfile.firstNamestring
ABHAProfile.middleNamestring
ABHAProfile.lastNamestring
ABHAProfile.dobstring
ABHAProfile.genderstring
ABHAProfile.mobilestring
ABHAProfile.phrAddressstring[]
ABHAProfile.districtCodestring
ABHAProfile.stateCodestring
ABHAProfile.abhaTypestring
ABHAProfile.stateNamestring
ABHAProfile.districtNamestring
ABHAProfile.ABHANumberstring
ABHAProfile.abhaStatusstring
isNewboolean
400

Bad Request (request validation failed).

Error codes for this module

txnIdstring
timestampstring
401

Unauthorized (invalid / expired gateway token, X-token or benefit access): Invalid Benefit Name (generic)

Everything returns 401

messagestring
timestampstring
422

Unprocessable Entity (business rule or UIDAI failure).

Error codes for this module

errorobject
error.codestring
error.messagestring
500

Internal Server Error.

Error codes for this module